View Issue Details

IDProjectCategoryView StatusLast Update
0002651SUMoBugpublic2015-06-15 21:09
ReporterKyle_KatarnAssigned ToKyle_Katarn 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.14 
Summary0002651: Incorrect naming for FlashPlayers
DescriptionIncorrect naming for FlashPlayers

Good ones :

Flash Player for Internet Explorer - ActiveX
Flash Player for Firefox and Netscape Plug-In compatible applications – NPAPI
Flash Player for Opera and Chromium based applications – PPAPI

NPAPI (Other Browsers)
"C:\Windows\SysWOW64\Macromed\Flash\NPSWF32_15_0_0_215.dll"
"C:\Windows\System32\Macromed\Flash\NPSWF64_15_0_0_215.dll"

PPAPI (Chrome Browser Debug)
"C:\Windows\SysWOW64\Macromed\Flash\pepflashplayer32_15_0_0_215.dll"
"C:\Windows\System32\Macromed\Flash\pepflashplayer64_15_0_0_215.dll"

Internet Explorer (Active-X)
"C:\Windows\SysWOW64\Macromed\Flash\FlashUtil32_15_0_0_215_ActiveX.dll"
"C:\Windows\System32\Macromed\Flash\FlashUtil64_15_0_0_215_ActiveX.dll"

TagsNo tags attached.

Relationships

related to 0002891 resolvedKyle_Katarn FP for Opera/Chromium (PPAPI) recognized as FP for Firefox (NPAPI) 

Activities

Kyle_Katarn

2014-12-12 21:38

administrator  

Kyle_Katarn

2014-12-19 22:23

administrator   ~0001783

http://labs.adobe.com/downloads/flashplayer.html

Kyle_Katarn

2015-03-15 20:49

administrator   ~0001828

SUMo 3.13.3.257 is mistakenly reporting pepflashplayer32_17_0_0_134.dll as "Adobe Flash Player for Firefox".

pepflashplayer32_17_0_0_134.dll is actually "Adobe Flash Player for Chromium and Opera"

Adobe Flash Player for Firefox is actually and currently NPSWF32_17_0_0_134.dll

SUMo is not reporting Adobe Flash Player for Chromium and Opera, which is currently pepflashplayer32_17_0_0_134.dll, even after performing a fresh scan.


SUMo is correctly reporting Adobe Flash Player for Internet Explorer as FlashUtil32_17_0_0_134_ActiveX.dll

Issue History

Date Modified Username Field Change
2014-11-11 22:27 Kyle_Katarn New Issue
2014-11-11 22:27 Kyle_Katarn Assigned To => Kyle_Katarn
2014-11-11 22:27 Kyle_Katarn Status new => acknowledged
2014-12-12 21:38 Kyle_Katarn File Added: oeJlz3KAwRGrpiPn-Region.png
2014-12-19 22:23 Kyle_Katarn Note Added: 0001783
2015-03-15 20:49 Kyle_Katarn Note Added: 0001828
2015-06-15 18:57 Kyle_Katarn Relationship added related to 0002891
2015-06-15 21:09 Kyle_Katarn Status acknowledged => resolved
2015-06-15 21:09 Kyle_Katarn Fixed in Version => 3.14
2015-06-15 21:09 Kyle_Katarn Resolution open => fixed